Bug 1478152 - kompose tries to install docker
kompose tries to install docker
Status: NEW
Product: Fedora
Classification: Fedora
Component: kompose (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dusty Mabe
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 14:21 EDT by Dusty Mabe
Modified: 2017-08-10 09:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2017-08-03 14:21:40 EDT
With the latest kompose release we added docker as a recommends. When I tried to update my system I unexpectedly saw docker trying to get installed. I don't want to install docker and I mostly work with remote docker daemons and/or kubernetes/openshift. 

Can we remove the recommends? What justification do we have for adding it? 

I suspect if a user wants to use a local docker daemon they would have installed it themselves.


kompose x86_64 1.0.0-2.fc25
Comment 1 Suraj Deshmukh 2017-08-08 11:01:46 EDT
Dusty I wanted to add it as a weak dependency so that it is not installed automatically, is there a way to specify that apart from using `recommends` ?
Comment 2 Dusty Mabe 2017-08-10 09:20:53 EDT
(In reply to Suraj Deshmukh from comment #1)
> Dusty I wanted to add it as a weak dependency so that it is not installed
> automatically, is there a way to specify that apart from using `recommends` ?

Fedora infra doesn't support weak dependencies at this point. The only way is with recommends which defaults to installing it. I would prefer to not have that in this package. If the user wants docker it's pretty easy for them to get it.

Note You need to log in before you can comment on or make changes to this bug.